package pkg;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import org.apache.commons.math3.complex.Complex;

public class Main {

	public static void main(String[] args) {

		final BufferedReader reader = new BufferedReader(new InputStreamReader(
				System.in));

		final Double real1 = ucitaj(reader, "re1: ");
		final Double imag1 = ucitaj(reader, "im1: ");

		final Double real2 = ucitaj(reader, "re2: ");
		final Double imag2 = ucitaj(reader, "im2: ");

		final Complex broj1 = new Complex(real1, imag1);
		final Complex broj2 = new Complex(real2, imag2);

		final Complex result = broj1.multiply(broj2);

		System.out.println(String.format("%s * %s = %s", broj1.toString(),
				broj2.toString(), result.toString()));
	}

	private static Double ucitaj(BufferedReader reader, String string) {
		while (true) {
			try {
				System.out.print(string);
				Double result = Double.parseDouble(reader.readLine());
				return result;
			} catch (NumberFormatException e) {
				e.printStackTrace();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}
}
